{------------------------------------------------------------------------------
                        libsk_access.so V1.99.9b
------------------------------------------------------------------------------}
const
  lib = 'sk_access';

Procedure Back_Space; cdecl; external lib;
Function Buffer_In_Data:integer; cdecl; external lib;
Procedure Carriage_Return; cdecl; external lib;
Procedure Clear_Disp; cdecl; external lib;
procedure Clear_L1; cdecl; external lib;
procedure Clear_L2; cdecl; external lib;
procedure Cursor_Blink; cdecl; external lib;
Procedure Cursor_Off; cdecl; external lib;
Procedure Cursor_On; cdecl; external lib;
Procedure Disable_Keyboard; cdecl; external lib;
Procedure Disp_Char(data:char); cdecl; external lib;
Procedure Disp(data:PChar); cdecl; external lib;
Procedure Enable_Keyboard; cdecl; external lib;
Procedure Free_Sk_Access; cdecl; external lib;
Function Get_Block(block:byte;buffer:Pbyte):boolean; cdecl; external lib;
Function Get_Com_Type:boolean; cdecl; external lib;
Function Get_Current_Interface:integer; cdecl; external lib;
Function Get_Cursor(x_pos:pointer;y_pos:pointer):byte; cdecl; external lib;
Function Get_Data_Rs(buffer:pointer;buf_size:integer):integer; cdecl; external lib;
Function Get_Data(buffer:pointer;size:integer):integer; cdecl; external lib;
Procedure Get_Dll_Version(ver:PChar); cdecl; external lib;
Procedure Get_Firmware_Version(ver:PChar); cdecl; external lib;
Procedure Get_Serial_Number(ser:PChar); cdecl; external lib;
Function Get_Status:byte; cdecl; external lib;
Function GetOperatingSystem:integer; cdecl; external lib;
Procedure Gotoxy(x:byte; y:byte); cdecl; external lib;
Procedure Keyb_Reset; cdecl; external lib;
Procedure Line_Feed; cdecl; external lib;
Procedure Log_Off; cdecl; external lib;
Procedure Log_On(level:Dword); cdecl; external lib;
Procedure Redirect; cdecl; external lib;
Procedure Reset_Interface; cdecl; external lib;
Procedure S_Mode_Off; cdecl; external lib;
Procedure S_Mode_On; cdecl; external lib;
Function Select_Interface:integer; cdecl; external lib;
Procedure Send_Data(data:byte); cdecl; external lib;
Procedure Send_Disp_Ctrl(data:byte); cdecl; external lib;
Procedure Set_Beep_Off; cdecl; external lib;
Procedure Set_Beep_On; cdecl; external lib;
Procedure Set_Eco_Off; cdecl; external lib;
Procedure Set_Eco_On; cdecl; external lib;
Function Set_Interface(interf:Pchar):integer; cdecl; external lib;
Procedure Set_Page0; cdecl; external lib;
Procedure Set_Page1; cdecl; external lib;
Procedure Set_Psw_Off; cdecl; external lib;
Procedure Set_Psw_On; cdecl; external lib;
Procedure Set_Udg(caracter,def0,def1,def2,def3,def4,def5,def6,def7:byte); cdecl;
   external lib;
Procedure Unlock_Interface; cdecl; external lib;
